<template>
    <div>
        <div class="card-panel">
            <table class="highlight bordered responsive-table">
                <thead>
                <th></th>
                <th>Jogador</th>
                <th>Jogadas</th>
                <th>Tempo</th>
                <th>Pontos</th>
                </thead>
                <tbody>
                <tr v-for="(match, index) in matchs">
                    <td>{{ index + 1}}</td>
                    <td>{{ match.player_name }}</td>
                    <td>{{ match.rounds }}</td>
                    <td>{{ match.time }}</td>
                    <td>{{ match.score }}</td>
                </tr>
                </tbody>
            </table>
        </div>
        <div class="center-align">
            <a href="#/jogar" class="btn btn-large">Jogar</a>
        </div>
    </div>
</template>
<script>
    export default {
        name: 'ranking',

        data() {
            return {
                matchs:[]
            }
        },

        methods: {
            getMatchs() {
                return Vue.http.get('match')
            }
        },

        mounted() {
            Event.fire(`loading-show`,{'type':'spinner'})

            this.getMatchs()
                .then(response => {
                    this.matchs = response.data
                    Event.fire(`loading-hide`,{'type':'spinner'})
                })
                .catch((err) => {
                    console.log( err )
                    Event.fire(`loading-hide`,{'type':'spinner'})
                })
        }
    }
</script>